TileDrawer = {}

function TileDrawer:init()
	self.tileTextureAtlas = love.graphics.newImage("res/gfx/tile_atlas.png")
	self.tileTextureAtlas:setFilter("nearest", "nearest")
end

function TileDrawer:drawTileInstance(tileInstance)
	if tileInstance.id == TILE_AIR then
		return
	end

	love.graphics.draw(
		self.tileTextureAtlas,
		TileDictionary:getDefinitionOf(tileInstance.id).quad,
		tileInstance.x,
		tileInstance.y
	)
end