function love.load()

	require "constants"

	require "tile_definition"
	require "tile_instance"
	require "tile_dictionary"
	require "tile_drawer"
	
	require "components.c_position"
	require "components.c_velocity"
	require "components.c_rectangle"
	require "components.c_jump"
	
	require "entities.e_player"
	
	require "world"
	require "game"
	
	Game:init()

end

function love.update(dt)
	Game:update(dt)
end

function love.draw()
	love.graphics.push()
	love.graphics.scale(DRAW_SCALE, DRAW_SCALE)
	
	Game:draw()
	
	love.graphics.pop()
end